OpenNMS API 1.2.9

## org.opennms.web.vulnerability
Class Vulnerability

    java.lang.Object
      org.opennms.web.vulnerability.Vulnerability

public class Vulnerability
extends java.lang.Object

A JavaBean implementation to hold information about a security vulnerability as defined by OpenNMS.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`static int` `CLEARED_SEVERITY`
`protected java.util.Date` `createTime` Creation time of event in database, cannot be null
`static int` `CRITICAL_SEVERITY`
`protected java.lang.String` `cveEntry`
`protected java.lang.String` `description` Free-form textual description of the event
`protected int` `id` Unique identifier for the event, cannot be null
`static int` `INDETERMINATE_SEVERITY`
`protected java.lang.String` `ipAddr` IP Address of node's interface
`protected java.util.Date` `lastAttemptTime` Last time the vulnerability scan was attempted, cannot be null
`protected java.util.Date` `lastScanTime` Last time the vulnerability was scanned, cannot be null
`protected java.lang.String` `logMessage` Formatted display text to control how the event will appear in the browser.
`static int` `MAJOR_SEVERITY`
`static int` `MINOR_SEVERITY`
`protected java.lang.Integer` `nodeId` Unique integer identifier for node, can be null
`protected java.lang.String` `nodeLabel` The human-readable name of the node of this event.
`static int` `NORMAL_SEVERITY`
`protected int` `pluginId` Unique integer identifier of the plugin that generated this vulnerability.
`protected int` `pluginSubId` Specific vulnerability type generated by the plugin.
`protected java.lang.Integer` `port` Port that the vulnerability affects.
`protected java.lang.String` `protocol` Network protocol of the attack (TCP, UDP, ICMP)
`protected java.util.Date` `resolvedTime` Time the vulnerability was resolved, can be null
`protected java.lang.Integer` `serviceId` Unique integer identifier of service/poller package, can be null
`protected java.lang.String` `serviceName` Human-readable name of the service
`protected int` `severity` The Severity of event.
`static int` `WARNING_SEVERITY`

Constructor Summary
`protected` `Vulnerability()` Only the `VulnerabilityFactory` should instantiate this object.

Method Summary
`java.util.Date` `getCreateTime()`
`java.lang.String` `getCveEntry()` can be null
`java.lang.String` `getDescription()`
`int` `getId()`
`java.lang.String` `getIpAddress()` can be null
`java.util.Date` `getLastAttemptTime()`
`java.util.Date` `getLastScanTime()`
`java.lang.String` `getLogMessage()`
`java.lang.Integer` `getNodeId()` can be null
`java.lang.String` `getNodeLabel()` can be null
`int` `getPluginId()`
`int` `getPluginSubId()`
`java.lang.Integer` `getPort()` can be null
`java.lang.String` `getProtocol()` can be null
`java.util.Date` `getResolvedTime()` can be null
`java.lang.Integer` `getServiceId()` Can be null
`java.lang.String` `getServiceName()`
`int` `getSeverity()`
`boolean` `isResolved()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDETERMINATE_SEVERITY

    public static final int INDETERMINATE_SEVERITY

See Also:
  Constant Field Values

### CLEARED_SEVERITY

    public static final int CLEARED_SEVERITY

See Also:
  Constant Field Values

### NORMAL_SEVERITY

    public static final int NORMAL_SEVERITY

See Also:
  Constant Field Values

### WARNING_SEVERITY

    public static final int WARNING_SEVERITY

See Also:
  Constant Field Values

### MINOR_SEVERITY

    public static final int MINOR_SEVERITY

See Also:
  Constant Field Values

### MAJOR_SEVERITY

    public static final int MAJOR_SEVERITY

See Also:
  Constant Field Values

### CRITICAL_SEVERITY

    public static final int CRITICAL_SEVERITY

See Also:
  Constant Field Values

### id

    protected int id

  Unique identifier for the event, cannot be null

### nodeId

    protected java.lang.Integer nodeId

  Unique integer identifier for node, can be null

### ipAddr

    protected java.lang.String ipAddr

  IP Address of node's interface

### serviceId

    protected java.lang.Integer serviceId

  Unique integer identifier of service/poller package, can be null

### serviceName

    protected java.lang.String serviceName

  Human-readable name of the service

### createTime

    protected java.util.Date createTime

  Creation time of event in database, cannot be null

### lastAttemptTime

    protected java.util.Date lastAttemptTime

  Last time the vulnerability scan was attempted, cannot be null

### lastScanTime

    protected java.util.Date lastScanTime

  Last time the vulnerability was scanned, cannot be null

### resolvedTime

    protected java.util.Date resolvedTime

  Time the vulnerability was resolved, can be null

### description

    protected java.lang.String description

  Free-form textual description of the event

### logMessage

    protected java.lang.String logMessage

  Formatted display text to control how the event will appear in the browser. This field may contain variables that are populated by field values of the message.

### severity

    protected int severity

  The Severity of event.

         1  = Indeterminate
         2 = Cleared (unimplemented at this time)
         3 = Warning
         4 = Minor
         5 = Major
         6 = Critical

### nodeLabel

    protected java.lang.String nodeLabel

  The human-readable name of the node of this event. Can be null.

### pluginId

    protected int pluginId

  Unique integer identifier of the plugin that generated this vulnerability.

### pluginSubId

    protected int pluginSubId

  Specific vulnerability type generated by the plugin.

### port

    protected java.lang.Integer port

  Port that the vulnerability affects.

### protocol

    protected java.lang.String protocol

  Network protocol of the attack (TCP, UDP, ICMP)

### cveEntry

    protected java.lang.String cveEntry

Constructor Detail

### Vulnerability

    protected Vulnerability()

  Only the `VulnerabilityFactory` should instantiate this object.

Method Detail

### getId

    public int getId()

### getCreateTime

    public java.util.Date getCreateTime()

### getLastAttemptTime

    public java.util.Date getLastAttemptTime()

### getLastScanTime

    public java.util.Date getLastScanTime()

### getResolvedTime

    public java.util.Date getResolvedTime()

  can be null

### isResolved

    public boolean isResolved()

### getSeverity

    public int getSeverity()

### getNodeId

    public java.lang.Integer getNodeId()

  can be null

### getNodeLabel

    public java.lang.String getNodeLabel()

  can be null

### getIpAddress

    public java.lang.String getIpAddress()

  can be null

### getServiceId

    public java.lang.Integer getServiceId()

  Can be null

### getServiceName

    public java.lang.String getServiceName()

### getDescription

    public java.lang.String getDescription()

### getLogMessage

    public java.lang.String getLogMessage()

### getPluginId

    public int getPluginId()

### getPluginSubId

    public int getPluginSubId()

### getPort

    public java.lang.Integer getPort()

  can be null

### getProtocol

    public java.lang.String getProtocol()

  can be null

### getCveEntry

    public java.lang.String getCveEntry()

  can be null

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.